<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.overlimit.mapper.OverlimitMapper">

    <select id="getAllLineOverLimit" resultType="com.njcn.device.biz.pojo.po.Overlimit">
        select f.* from pq_line a
        inner join pq_line_detail b on a.id = b.id
        inner join pq_line c on a.pid = c.id
        inner join pq_line d on c.pid = d.id
        inner join pq_device e on d.id = e.id
        inner join pq_overlimit f on a.id=f.id
        where e.dev_data_type in
        <foreach collection="list" item="item" open="(" close=")" separator=",">
            #{item}
        </foreach>
        and e.run_flag = 0
        and e.dev_model = 1
    </select>

</mapper>
